part of kitcod_uikit_flutter;

class ImageUploadAPIModel {

  ImageUploadAPIModel({
    this.body,
    this.statusCodeValue,
    this.statusCode,
  });

  factory ImageUploadAPIModel.fromJson(final Map<String, dynamic> json) =>
      ImageUploadAPIModel(
        body:
        json["body"] == null
            ? null
            : List<Body>.from(
            (json["body"] as List).map((final x) =>
                Body.fromJson(
                    x as Map<String, dynamic>)) as Iterable<dynamic>),
      );


 /* ImageUploadAPIModel.fromJson(final Map<String, dynamic> json)
       : body = (json["body"] as List?)?.map((final e) => Body.fromJson(e as Map<String,dynamic>)).toList(),
        statusCodeValue = json["statusCodeValue"] as int?,
        statusCode = json["statusCode"] as String?;*/
  final List<Body>? body;
  final int? statusCodeValue;
  final String? statusCode;

  Map<String, dynamic> toJson() => {
    "body" : body?.map((final e) => e.toJson()).toList(),
    "statusCodeValue" : statusCodeValue,
    "statusCode" : statusCode
  };
}

/*class Headers {


  Headers({

});

Headers.fromJson(Map<String, dynamic> json)
: ;

Map<String, dynamic> toJson() => {

};
}*/

class Body {

  Body({
    this.uuid,
    this.resourceType,
    this.resourceId,
    this.displayRank,
    this.keyName,
    this.mediaUrl,
    this.contentType,
    this.active,
  });

  Body.fromJson(final Map<String, dynamic> json)
      : uuid = json["uuid"] as String?,
        resourceType = json["resourceType"] as String?,
        resourceId = json["resourceId"] as String?,
        displayRank = json["displayRank"] as int?,
        keyName = json["keyName"] as String?,
        mediaUrl = json["mediaUrl"] as String?,
        contentType = json["contentType"] as String?,
        active = json["active"] as bool?;
  final String? uuid;
  final String? resourceType;
  final String? resourceId;
  final int? displayRank;
  final String? keyName;
  final String? mediaUrl;
  final String? contentType;
  final bool? active;

  Map<String, dynamic> toJson() => {
    "uuid" : uuid,
    "resourceType" : resourceType,
    "resourceId" : resourceId,
    "displayRank" : displayRank,
    "keyName" : keyName,
    "mediaUrl" : mediaUrl,
    "contentType" : contentType,
    "active" : active
  };
}