part of kitcod_uikit_flutter;

class ReportingError {

  ReportingError({this.message, this.timeStamp, this.details});

  ReportingError.fromJson(final Map<String, dynamic> json) {
    message = json["message"] as String?;
    timeStamp = json["timeStamp"] as String?;
    details =
    json["details"] != null ? Details.fromJson(json["details"] as Map<String, dynamic>) : null;
  }
  String? message;
  String? timeStamp;
  Details? details;

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["message"] = message;
    data["timeStamp"] = timeStamp;
    if (details != null) {
      data["details"] = details!.toJson();
    }
    return data;
  }
}

class Details {

  Details({this.resourceId, this.platformError});

  Details.fromJson(final Map<String, dynamic> json) {
    resourceId = json["ResourceId"] as String?;
    platformError = json["platformError"] as String?;
  }
  String? resourceId;
  String? platformError;

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data["ResourceId"] = resourceId;
    data["platformError"] = platformError;
    return data;
  }
}