part of kitcod_uikit_flutter;

class ApiConfig {
  static const baseUrl = "https://api.dv1.kitcod.com/";


  static const usersPath = "${baseUrl}user-api/users/";
  static const appInfoPath = "${baseUrl}community-api/apps/appInfoByApiKey/";
  static const communityInfoPath = "${baseUrl}community-api/communities/";
  static const commentsPath = "${baseUrl}interaction-api/comments/";
  static const kcCommentsGetPath =
      "${baseUrl}interaction-api/comments/byResource/POST";
  static const kcInteractionPath = "${baseUrl}interaction-api/interactions";
  static const kcGetMembershipPath =
      "${baseUrl}user-api/communitymembership/V3";
  static const kcCommunitiesBulkPath =
      "${baseUrl}community-api/communities/bulk";

  static const kcReportInteractionPath =
      "${baseUrl}interaction-api/reportItems";

  static const kcPostConfigUpload =
      "${baseUrl}config-api/conf/media-upload-creds";

  static const kcJoinMembershipPath = "${baseUrl}user-api/communitymembership";

  static const postsPath = "${baseUrl}post-api/posts";
  static const communitiesBulkPath =
      "https://api-sg.collabdeen.com/community-api/communities/bulk";
  static const interactionPath =
      "https://api-sg.collabdeen.com/interaction-api/interactions";
  static const reportInteractionPath =
      "https://api-sg.collabdeen.com/interaction-api/reportItems";

  /*static const commentsPath =
      "https://api-sg.collabdeen.com/interaction-api/comments";*/
  static const commentsGetPath =
      "https://api-sg.collabdeen.com/interaction-api/comments/byResource/POST";
  static const communityGetPath =
      "https://api-sg.collabdeen.com/community-api/communities";
  static const joinMembershipPath =
      "https://api-sg.collabdeen.com/user-api/communitymembership";
  static const getMembershipPath =
      "https://api-sg.collabdeen.com/user-api/communitymembership/V3";

  static const kcAPIKey = "kcapikey";
  static const kcUserId = "kcuserid";
  static const kcDefaultCommunityId = "kcdefaultcommunityid";
}
